## NAME
`burusftp user update` - Modifies existing user in the user database.

## OPTIONS
* `--add-keys <keyfile1> <keyfile2> <...>`
  * Adds public keys and sets key-auth to required when disabled before.
* `--impersonate <on | off>`
  * Enables or disables file system impersonation when `--win-account` is set. This feature is available in Pro edition only. See [User authentication](/docs/user-authentication) for more details.
* `--key-auth <enabled | disabled | required>`
  * Enables, disables or makes public key authentication mandatory. Combine with `--password-auth` to enforce two-factor authentication.
* `-p, --pwd` 
  * Update password (will prompt for new password) and sets `password-auth` to required when disabled before and `password-auth-mode` to local.
* `--password <password>` 
  * Plaintext password and sets `password-auth` to required when disabled before and `password-auth-mode` to local. Not recommended as the password will be visible when entering - use `-p` instead.
* `--password-auth <enabled | disabled | required>`
  * Enables, disables or makes password authentication mandatory. Combine with `--key-auth` to enforce two-factor authentication. 
* `--password-auth-mode <local | windowsNetwork | windowsInteractive>`
  * Specifies password authentication scheme - see [user add](user-add) for more details. Windows options are available in Pro edition only.
* `--readonly` 
  * Read-only access (mutually exclusive with readwrite)
* `--readwrite` 
  * Read-write access (mutually exclusive with readonly)
* `--remove-keys <pattern1> <pattern2> <...>` 
  * Removes existing public keys. Possible values are (part of) fingerprint (e.g. `a5:5e`), algorithm (e.g. `rsa`) or '&ast;' for all keys. Also sets `key-auth` to `disabled` when all keys are removed.
* `--remove-pwd` 
  * Removes password (disables password authentication) and sets `password-auth` to `disabled` when password was in use before. 
* `--remove-win-account`
  * Removes Windows account associated with the user used for Windows authentication and sets `password-auth` to `disabled` when Windows authentication was in use before.
* `--set-keys <keyfile1> <keyfile2> <...>` 
  * Replaces existing public keys with new ones and sets `key-auth` to required when disabled before. 
* `--web-admin <enable | disable>`
  * Allows or disallows user to access web administration tool (if installed)
* `--win-account <windows account name>`
  * Windows account associated with the user used for Windows authentication, sets `password-auth-mode` to `windowsNetwork` and `password-auth` to `required` when disabled before. Also sets `impersonate` to `on` if this command sets Windows authentication as active and required. This feature is available in Pro edition only. 
   

## EXAMPLES
* `burusftp user update guybrush --password kate`
  * Change password to 'kate' for user guybrush

* `burusftp user update guybrush --set-keys C:\Users\guybrush\rsa.pub`
  * Replace existing public keys for user guybrush

## SEE ALSO
[user add](user-add), [user list](user-list), [user delete](user-delete)